Package org.apache.sling.contentparser.testutils.mapsupport

## Class ContentElementHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.contentparser.testutils.mapsupport.ContentElementHandlerException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContentElementHandlerException
    extends java.lang.RuntimeException

`RuntimeException` that's thrown by the `ContentElementHandler` when building `ContentElement`s.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContentElementHandlerException()`
`ContentElementHandlerException​(java.lang.String message)`
`ContentElementHandlerException​(java.lang.String message, java.lang.Throwable cause)`
`ContentElementHandlerException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentElementHandlerException

    public ContentElementHandlerException()

#### ContentElementHandlerException

    public ContentElementHandlerException​(java.lang.String message)

#### ContentElementHandlerException

    public ContentElementHandlerException​(java.lang.String message,
                                          java.lang.Throwable cause)

#### ContentElementHandlerException

    public ContentElementHandlerException​(java.lang.Throwable cause)